/*
   ub_greek2beta.h - tables for Greek Unicode to Beta Code conversion.

   Author: Paul Hardy, unifoundry <at> unifoundry.com

   Copyright (C) 2018, 2019, 2020 Paul Hardy

   LICENSE:

      This program is free software: you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation, either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.
      You should have received a copy of the GNU General Public License
      along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/*
   uni03xx_greek_betacode holds Unicode to Greek Beta Code mappings
   for the Unicode range U+0300..U+03FF.
*/
char *uni03xx_greek_betacode [256] = {
   /* U+0300 */  "\\",
   /* U+0301 */  "/",
   /* U+0302 */  "{\\u0302}",
   /* U+0303 */  "{\\u0303}",
   /* U+0304 */  "{\\u0304}",
   /* U+0305 */  "{\\u0305}",
   /* U+0306 */  "{\\u0306}",
   /* U+0307 */  "{\\u0307}",
   /* U+0308 */  "{\\u0308}",
   /* U+0309 */  "{\\u0309}",
   /* U+030A */  "{\\u030A}",
   /* U+030B */  "{\\u030B}",
   /* U+030C */  "{\\u030C}",
   /* U+030D */  "{\\u030D}",
   /* U+030E */  "{\\u030E}",
   /* U+030F */  "{\\u030F}",
   /* U+0310 */  "{\\u0310}",
   /* U+0311 */  "{\\u0311}",
   /* U+0312 */  "{\\u0312}",
   /* U+0313 */  ")",
   /* U+0314 */  "(",
   /* U+0315 */  "{\\u0315}",
   /* U+0316 */  "{\\u0316}",
   /* U+0317 */  "{\\u0317}",
   /* U+0318 */  "{\\u0318}",
   /* U+0319 */  "{\\u0319}",
   /* U+031A */  "{\\u031A}",
   /* U+031B */  "{\\u031B}",
   /* U+031C */  "{\\u031C}",
   /* U+031D */  "{\\u031D}",
   /* U+031E */  "{\\u031E}",
   /* U+031F */  "{\\u031F}",
   /* U+0320 */  "{\\u0320}",
   /* U+0321 */  "{\\u0321}",
   /* U+0322 */  "{\\u0322}",
   /* U+0323 */  "?",
   /* U+0324 */  "{\\u0324}",
   /* U+0325 */  "{\\u0325}",
   /* U+0326 */  "{\\u0326}",
   /* U+0327 */  "{\\u0327}",
   /* U+0328 */  "{\\u0328}",
   /* U+0329 */  "{\\u0329}",
   /* U+032A */  "{\\u032A}",
   /* U+032B */  "{\\u032B}",
   /* U+032C */  "{\\u032C}",
   /* U+032D */  "{\\u032D}",
   /* U+032E */  "{\\u032E}",
   /* U+032F */  "{\\u032F}",
   /* U+0330 */  "{\\u0330}",
   /* U+0331 */  "{\\u0331}",
   /* U+0332 */  "{\\u0332}",
   /* U+0333 */  "{\\u0333}",
   /* U+0334 */  "{\\u0334}",
   /* U+0335 */  "{\\u0335}",
   /* U+0336 */  "{\\u0336}",
   /* U+0337 */  "{\\u0337}",
   /* U+0338 */  "{\\u0338}",
   /* U+0339 */  "{\\u0339}",
   /* U+033A */  "{\\u033A}",
   /* U+033B */  "{\\u033B}",
   /* U+033C */  "{\\u033C}",
   /* U+033D */  "{\\u033D}",
   /* U+033E */  "{\\u033E}",
   /* U+033F */  "{\\u033F}",
   /* U+0340 */  "{\\u0340}",
   /* U+0341 */  "{\\u0341}",
   /* U+0342 */  "=",
   /* U+0343 */  "{\\u0343}",
   /* U+0344 */  "{\\u0344}",
   /* U+0345 */  "{\\u0345}",
   /* U+0346 */  "{\\u0346}",
   /* U+0347 */  "{\\u0347}",
   /* U+0348 */  "{\\u0348}",
   /* U+0349 */  "{\\u0349}",
   /* U+034A */  "{\\u034A}",
   /* U+034B */  "{\\u034B}",
   /* U+034C */  "{\\u034C}",
   /* U+034D */  "{\\u034D}",
   /* U+034E */  "{\\u034E}",
   /* U+034F */  "{\\u034F}",
   /* U+0350 */  "{\\u0350}",
   /* U+0351 */  "{\\u0351}",
   /* U+0352 */  "{\\u0352}",
   /* U+0353 */  "{\\u0353}",
   /* U+0354 */  "{\\u0354}",
   /* U+0355 */  "{\\u0355}",
   /* U+0356 */  "{\\u0356}",
   /* U+0357 */  "{\\u0357}",
   /* U+0358 */  "{\\u0358}",
   /* U+0359 */  "{\\u0359}",
   /* U+035A */  "{\\u035A}",
   /* U+035B */  "{\\u035B}",
   /* U+035C */  "{\\u035C}",
   /* U+035D */  "{\\u035D}",
   /* U+035E */  "{\\u035E}",
   /* U+035F */  "{\\u035F}",
   /* U+0360 */  "{\\u0360}",
   /* U+0361 */  "{\\u0361}",
   /* U+0362 */  "{\\u0362}",
   /* U+0363 */  "{\\u0363}",
   /* U+0364 */  "{\\u0364}",
   /* U+0365 */  "{\\u0365}",
   /* U+0366 */  "{\\u0366}",
   /* U+0367 */  "{\\u0367}",
   /* U+0368 */  "{\\u0368}",
   /* U+0369 */  "{\\u0369}",
   /* U+036A */  "{\\u036A}",
   /* U+036B */  "{\\u036B}",
   /* U+036C */  "{\\u036C}",
   /* U+036D */  "{\\u036D}",
   /* U+036E */  "{\\u036E}",
   /* U+036F */  "{\\u036F}",
   /* U+0370 */  "{\\u0370}",
   /* U+0371 */  "{\\u0371}",
   /* U+0372 */  "{\\u0372}",
   /* U+0373 */  "{\\u0373}",
   /* U+0374 */  "#",
   /* U+0375 */  "{\\u0375}",
   /* U+0376 */  "{\\u0376}",
   /* U+0377 */  "{\\u0377}",
   /* U+0378 */  "{\\u0378}",
   /* U+0379 */  "{\\u0379}",
   /* U+037A */  "{\\u037A}",
   /* U+037B */  "{\\u037B}",
   /* U+037C */  "{\\u037C}",
   /* U+037D */  "{\\u037D}",
   /* U+037E */  ";",
   /* U+037F */  "{\\u037F}",
   /* U+0380 */  "{\\u0380}",
   /* U+0381 */  "{\\u0381}",
   /* U+0382 */  "{\\u0382}",
   /* U+0383 */  "{\\u0383}",
   /* U+0384 */  "{\\u0384}",
   /* U+0385 */  "{\\u0385}",
   /* U+0386 */  "*/a",
   /* U+0387 */  ":",
   /* U+0388 */  "*/e",
   /* U+0389 */  "*/h",
   /* U+038A */  "*/i",
   /* U+038B */  "{\\u038B}",
   /* U+038C */  "*/o",
   /* U+038D */  "{\\u038D}",
   /* U+038E */  "*/u",
   /* U+038F */  "*/w",
   /* U+0390 */  "i+/",
   /* U+0391 */  "*a",
   /* U+0392 */  "*b",
   /* U+0393 */  "*g",
   /* U+0394 */  "*d",
   /* U+0395 */  "*e",
   /* U+0396 */  "*z",
   /* U+0397 */  "*h",
   /* U+0398 */  "*q",
   /* U+0399 */  "*i",
   /* U+039A */  "*k",
   /* U+039B */  "*l",
   /* U+039C */  "*m",
   /* U+039D */  "*n",
   /* U+039E */  "*c",
   /* U+039F */  "*o",
   /* U+03A0 */  "*p",
   /* U+03A1 */  "*r",
   /* U+03A2 */  "{\\u03A2}",
   /* U+03A3 */  "*s",
   /* U+03A4 */  "*t",
   /* U+03A5 */  "*u",
   /* U+03A6 */  "*f",
   /* U+03A7 */  "*x",
   /* U+03A8 */  "*y",
   /* U+03A9 */  "*w",
   /* U+03AA */  "*+i",
   /* U+03AB */  "*+u",
   /* U+03AC */  "a/",
   /* U+03AD */  "e/",
   /* U+03AE */  "h/",
   /* U+03AF */  "i/",
   /* U+03B0 */  "u+/",
   /* U+03B1 */  "a",
   /* U+03B2 */  "b",
   /* U+03B3 */  "g",
   /* U+03B4 */  "d",
   /* U+03B5 */  "e",
   /* U+03B6 */  "z",
   /* U+03B7 */  "h",
   /* U+03B8 */  "q",
   /* U+03B9 */  "i",
   /* U+03BA */  "k",
   /* U+03BB */  "l",
   /* U+03BC */  "m",
   /* U+03BD */  "n",
   /* U+03BE */  "c",
   /* U+03BF */  "o",
   /* U+03C0 */  "p",
   /* U+03C1 */  "r",
   /* U+03C2 */  "s2",  /* final sigma  */
   /* U+03C3 */  "s1",  /* medial sigma */
   /* U+03C4 */  "t",
   /* U+03C5 */  "u",
   /* U+03C6 */  "f",
   /* U+03C7 */  "x",
   /* U+03C8 */  "y",
   /* U+03C9 */  "w",
   /* U+03CA */  "+i",
   /* U+03CB */  "+u",
   /* U+03CC */  "o/",
   /* U+03CD */  "u/",
   /* U+03CE */  "w/",
   /* U+03CF */  "{\\u03CF}",
   /* U+03D0 */  "{\\u03D0}",
   /* U+03D1 */  "{\\u03D1}",
   /* U+03D2 */  "{\\u03D2}",
   /* U+03D3 */  "{\\u03D3}",
   /* U+03D4 */  "{\\u03D4}",
   /* U+03D5 */  "{\\u03D5}",
   /* U+03D6 */  "{\\u03D6}",
   /* U+03D7 */  "{\\u03D7}",
   /* U+03D8 */  "{\\u03D8}",
   /* U+03D9 */  "{\\u03D9}",
   /* U+03DA */  "{\\u03DA}",
   /* U+03DB */  "{\\u03DB}",
   /* U+03DC */  "*v",
   /* U+03DD */  "v",
   /* U+03DE */  "{\\u03DE}",
   /* U+03DF */  "{\\u03DF}",
   /* U+03E0 */  "{\\u03E0}",
   /* U+03E1 */  "{\\u03E1}",
   /* U+03E2 */  "{\\u03E2}",
   /* U+03E3 */  "{\\u03E3}",
   /* U+03E4 */  "{\\u03E4}",
   /* U+03E5 */  "{\\u03E5}",
   /* U+03E6 */  "{\\u03E6}",
   /* U+03E7 */  "{\\u03E7}",
   /* U+03E8 */  "{\\u03E8}",
   /* U+03E9 */  "{\\u03E9}",
   /* U+03EA */  "{\\u03EA}",
   /* U+03EB */  "{\\u03EB}",
   /* U+03EC */  "{\\u03EC}",
   /* U+03ED */  "{\\u03ED}",
   /* U+03EE */  "{\\u03EE}",
   /* U+03EF */  "{\\u03EF}",
   /* U+03F0 */  "{\\u03F0}",
   /* U+03F1 */  "{\\u03F1}",
   /* U+03F2 */  "s3",
   /* U+03F3 */  "{\\u03F3}",
   /* U+03F4 */  "{\\u03F4}",
   /* U+03F5 */  "{\\u03F5}",
   /* U+03F6 */  "{\\u03F6}",
   /* U+03F7 */  "{\\u03F7}",
   /* U+03F8 */  "{\\u03F8}",
   /* U+03F9 */  "*s3",
   /* U+03FA */  "{\\u03FA}",
   /* U+03FB */  "{\\u03FB}",
   /* U+03FC */  "{\\u03FC}",
   /* U+03FD */  "{\\u03FD}",
   /* U+03FE */  "{\\u03FE}",
   /* U+03FF */  "{\\u03FF}"
};


/*
   uni1Fxx_greek_betacode holds Unicode to Greek Beta Code mappings
   for the Unicode range U+1F00..U+1FFF.
*/
char *uni1Fxx_greek_betacode [256] = {
   /* U+1F00 */  "a)",
   /* U+1F01 */  "a(",
   /* U+1F02 */  "a)\\",
   /* U+1F03 */  "a(\\",
   /* U+1F04 */  "a)/",
   /* U+1F05 */  "a(/",
   /* U+1F06 */  "a)=",
   /* U+1F07 */  "a(=",
   /* U+1F08 */  "*)a",
   /* U+1F09 */  "*(a",
   /* U+1F0A */  "*)\\a",
   /* U+1F0B */  "*(\\a",
   /* U+1F0C */  "*)/a",
   /* U+1F0D */  "*(/a",
   /* U+1F0E */  "*)=a",
   /* U+1F0F */  "*(=a",
   /* U+1F10 */  "e)",
   /* U+1F11 */  "e(",
   /* U+1F12 */  "e)\\",
   /* U+1F13 */  "e(\\",
   /* U+1F14 */  "e)/",
   /* U+1F15 */  "e(/",
   /* U+1F16 */  "",
   /* U+1F17 */  "",
   /* U+1F18 */  "*)e",
   /* U+1F19 */  "*(e",
   /* U+1F1A */  "*)\\e",
   /* U+1F1B */  "*(\\e",
   /* U+1F1C */  "*)/e",
   /* U+1F1D */  "*(/e",
   /* U+1F1E */  "",
   /* U+1F1F */  "",
   /* U+1F20 */  "h)",
   /* U+1F21 */  "h(",
   /* U+1F22 */  "h)\\",
   /* U+1F23 */  "h(\\",
   /* U+1F24 */  "h)/",
   /* U+1F25 */  "h(/",
   /* U+1F26 */  "h)=",
   /* U+1F27 */  "h(=",
   /* U+1F28 */  "*)h",
   /* U+1F29 */  "*(h",
   /* U+1F2A */  "*)\\h",
   /* U+1F2B */  "*(\\h",
   /* U+1F2C */  "*)/h",
   /* U+1F2D */  "*(/h",
   /* U+1F2E */  "*)=h",
   /* U+1F2F */  "*(=h",
   /* U+1F30 */  "i)",
   /* U+1F31 */  "i(",
   /* U+1F32 */  "i)\\",
   /* U+1F33 */  "i(\\",
   /* U+1F34 */  "i)/",
   /* U+1F35 */  "i(/",
   /* U+1F36 */  "i)=",
   /* U+1F37 */  "i(=",
   /* U+1F38 */  "*)i",
   /* U+1F39 */  "*(i",
   /* U+1F3A */  "*)\\i",
   /* U+1F3B */  "*(\\i",
   /* U+1F3C */  "*)/i",
   /* U+1F3D */  "*(/i",
   /* U+1F3E */  "*)=i",
   /* U+1F3F */  "*(=i",
   /* U+1F40 */  "o)",
   /* U+1F41 */  "o(",
   /* U+1F42 */  "o)\\",
   /* U+1F43 */  "o(\\",
   /* U+1F44 */  "o)/",
   /* U+1F45 */  "o(/",
   /* U+1F46 */  "",
   /* U+1F47 */  "",
   /* U+1F48 */  "*)o",
   /* U+1F49 */  "*(o",
   /* U+1F4A */  "*)\\o",
   /* U+1F4B */  "*(\\o",
   /* U+1F4C */  "*)/o",
   /* U+1F4D */  "*(/o",
   /* U+1F4E */  "",
   /* U+1F4F */  "",
   /* U+1F50 */  "u)",
   /* U+1F51 */  "u(",
   /* U+1F52 */  "u)\\",
   /* U+1F53 */  "u(\\",
   /* U+1F54 */  "u)/",
   /* U+1F55 */  "u(/",
   /* U+1F56 */  "u)=",
   /* U+1F57 */  "u(=",
   /* U+1F58 */  "",
   /* U+1F59 */  "*(u",
   /* U+1F5A */  "",
   /* U+1F5B */  "*(\\u",
   /* U+1F5C */  "",
   /* U+1F5D */  "*(/u",
   /* U+1F5E */  "",
   /* U+1F5F */  "*(=u",
   /* U+1F60 */  "w)",
   /* U+1F61 */  "w(",
   /* U+1F62 */  "w)\\",
   /* U+1F63 */  "w(\\",
   /* U+1F64 */  "w)/",
   /* U+1F65 */  "w(/",
   /* U+1F66 */  "w)=",
   /* U+1F67 */  "w(=",
   /* U+1F68 */  "*)w",
   /* U+1F69 */  "*(w",
   /* U+1F6A */  "*)\\w",
   /* U+1F6B */  "*(\\w",
   /* U+1F6C */  "*)/w",
   /* U+1F6D */  "*(/w",
   /* U+1F6E */  "*)=w",
   /* U+1F6F */  "*(=w",
   /* U+1F70 */  "a\\",
   /* U+1F71 */  "a/",
   /* U+1F72 */  "e\\",
   /* U+1F73 */  "e/",
   /* U+1F74 */  "h\\",
   /* U+1F75 */  "h/",
   /* U+1F76 */  "i\\",
   /* U+1F77 */  "i/",
   /* U+1F78 */  "o\\",
   /* U+1F79 */  "o/",
   /* U+1F7A */  "u\\",
   /* U+1F7B */  "u/",
   /* U+1F7C */  "w\\",
   /* U+1F7D */  "w/",
   /* U+1F7E */  "",
   /* U+1F7F */  "",
   /* U+1F80 */  "a)|",
   /* U+1F81 */  "a(|",
   /* U+1F82 */  "a)\\|",
   /* U+1F83 */  "a(\\|",
   /* U+1F84 */  "a)/|",
   /* U+1F85 */  "a(/|",
   /* U+1F86 */  "a)=|",
   /* U+1F87 */  "a(=|",
   /* U+1F88 */  "*)a|",
   /* U+1F89 */  "*(a|",
   /* U+1F8A */  "*)\\a|",
   /* U+1F8B */  "*(\\a|",
   /* U+1F8C */  "*)/a|",
   /* U+1F8D */  "*(/a|",
   /* U+1F8E */  "*)=a|",
   /* U+1F8F */  "*(=a|",
   /* U+1F90 */  "h)|",
   /* U+1F91 */  "h(|",
   /* U+1F92 */  "h)\\|",
   /* U+1F93 */  "h(\\|",
   /* U+1F94 */  "h)/|",
   /* U+1F95 */  "h(/|",
   /* U+1F96 */  "h)=|",
   /* U+1F97 */  "h(=|",
   /* U+1F98 */  "*)h|",
   /* U+1F99 */  "*(h|",
   /* U+1F9A */  "*)\\h|",
   /* U+1F9B */  "*(\\h|",
   /* U+1F9C */  "*)/h|",
   /* U+1F9D */  "*(/h|",
   /* U+1F9E */  "*)=h|",
   /* U+1F9F */  "*(=h|",
   /* U+1FA0 */  "w)|",
   /* U+1FA1 */  "w(|",
   /* U+1FA2 */  "w)\\|",
   /* U+1FA3 */  "w(\\|",
   /* U+1FA4 */  "w)/|",
   /* U+1FA5 */  "w(/|",
   /* U+1FA6 */  "w)=|",
   /* U+1FA7 */  "w(=|",
   /* U+1FA8 */  "*)w|",
   /* U+1FA9 */  "*(w|",
   /* U+1FAA */  "*)\\w|",
   /* U+1FAB */  "*(\\w|",
   /* U+1FAC */  "*)/w|",
   /* U+1FAD */  "*(/w|",
   /* U+1FAE */  "*)=w|",
   /* U+1FAF */  "*(=w|",
   /* U+1FB0 */  "{\\u1FB0}",
   /* U+1FB1 */  "{\\u1FB1}",
   /* U+1FB2 */  "a\\|",
   /* U+1FB3 */  "a|",
   /* U+1FB4 */  "a/|",
   /* U+1FB5 */  "",
   /* U+1FB6 */  "a=",
   /* U+1FB7 */  "a=|",
   /* U+1FB8 */  "{\\u1FB8}",
   /* U+1FB9 */  "{\\u1FB9}",
   /* U+1FBA */  "*\\a",
   /* U+1FBB */  "*/a",
   /* U+1FBC */  "*a|",
   /* U+1FBD */  "{\\u1FBD}",
   /* U+1FBE */  "{\\u1FBE}",
   /* U+1FBF */  "{\\u1FBF}",
   /* U+1FC0 */  "{\\u1FC0}",
   /* U+1FC1 */  "{\\u1FC1}",
   /* U+1FC2 */  "h\\|",
   /* U+1FC3 */  "h|",
   /* U+1FC4 */  "h/|",
   /* U+1FC5 */  "",
   /* U+1FC6 */  "h=",
   /* U+1FC7 */  "h=|",
   /* U+1FC8 */  "*\\e",
   /* U+1FC9 */  "*/e",
   /* U+1FCA */  "*\\h",
   /* U+1FCB */  "*/h",
   /* U+1FCC */  "*h|",
   /* U+1FCD */  "{\\u1FCD}",
   /* U+1FCE */  "{\\u1FCE}",
   /* U+1FCF */  "{\\u1FCF}",
   /* U+1FD0 */  "{\\u1FD0}",
   /* U+1FD1 */  "{\\u1FD1}",
   /* U+1FD2 */  "i+\\",
   /* U+1FD3 */  "i+/",
   /* U+1FD4 */  "",
   /* U+1FD5 */  "",
   /* U+1FD6 */  "i=",
   /* U+1FD7 */  "i+=",
   /* U+1FD8 */  "{\\u1FD8}",
   /* U+1FD9 */  "{\\u1FD9}",
   /* U+1FDA */  "*\\i",
   /* U+1FDB */  "*/i",
   /* U+1FDC */  "",
   /* U+1FDD */  "{\\u1FDD}",
   /* U+1FDE */  "{\\u1FDE}",
   /* U+1FDF */  "{\\u1FDF}",
   /* U+1FE0 */  "{\\u1FE0}",
   /* U+1FE1 */  "{\\u1FE1}",
   /* U+1FE2 */  "u+\\",
   /* U+1FE3 */  "u+/",
   /* U+1FE4 */  "r)",
   /* U+1FE5 */  "r(",
   /* U+1FE6 */  "u=",
   /* U+1FE7 */  "u+=",
   /* U+1FE8 */  "{\\u1FE8}",
   /* U+1FE9 */  "{\\u1FE8}",
   /* U+1FEA */  "*\\u",
   /* U+1FEB */  "*/u",
   /* U+1FEC */  "*(r",
   /* U+1FED */  "{\\u1FED}",
   /* U+1FEE */  "{\\u1FEE}",
   /* U+1FEF */  "{\\u1FEF}",
   /* U+1FF0 */  "",
   /* U+1FF1 */  "",
   /* U+1FF2 */  "w\\|",
   /* U+1FF3 */  "w|",
   /* U+1FF4 */  "w/|",
   /* U+1FF5 */  "",
   /* U+1FF6 */  "w=",
   /* U+1FF7 */  "w=|",
   /* U+1FF8 */  "*\\o",
   /* U+1FF9 */  "*/o",
   /* U+1FFA */  "*\\w",
   /* U+1FFB */  "*/w",
   /* U+1FFC */  "*w|",
   /* U+1FFD */  "{\\u1FFD}",
   /* U+1FFE */  "{\\u1FFE}",
   /* U+1FFF */  ""
};


/*
   ub_isgreek_alpha_03xx - 1 if Unicode code point is a Greek letter
                           in U+0300..U+03FF, 0 otherwise.
*/
int ub_isgreek_alpha_03xx [256] = {
             /*  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F */
   /* U+0300 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0310 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0320 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0330 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0340 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0350 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0360 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0370 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+0380 */  0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 1, 0, 1, 1,
   /* U+0390 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+03A0 */  1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+03B0 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+03C0 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0,
   /* U+03D0 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0,
   /* U+03E0 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
   /* U+03F0 */  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
             /*  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F */
};


/*
   ub_isgreek_alpha_1Fxx - 1 if Unicode code point is a Greek letter
                           in U+1F00..U+1FFF, 0 otherwise.
*/
int ub_isgreek_alpha_1Fxx [256] = {
             /*  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F */
   /* U+1F00 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1F10 */  1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0,
   /* U+1F20 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1F30 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1F40 */  1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0,
   /* U+1F50 */  1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 1, 0, 1, 0, 1,
   /* U+1F60 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1F70 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0,
   /* U+1F80 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1F90 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1FA0 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
   /* U+1FB0 */  1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0,
   /* U+1FC0 */  0, 0, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0,
   /* U+1FD0 */  1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0,
   /* U+1FE0 */  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0,
   /* U+1FF0 */  0, 0, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0
             /*  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F */
};

